PAM_SET_ITEM(3)

NAME

pam_set_item, pam_get_item - item manipulation under PAM

SYNOPSIS
#include <security/pam_appl.h>
or
#include <secruity/pam_modules.h>

int pam_set_item(pam_handle_t *pamh, int item_type, void *item);

int pam_get_item(const pam_handle_t *pamh, int item_type, const void **item_p);

DESCRIPTION
pam_set_item

pam_set_item

These functions are currently undocumented in a man page, but see the end of this man page for more information (the PAM guides).

On success PAM_SUCCESS is returned, all other return values should be treated as errors.

ERRORS
May be translated to text with pam_strerror(3).

CONFORMING TO
DCE-RFC 86.0, October 1995.

BUGS

none known.

SEE ALSO

pam(8) and pam_strerror(3).

Also, see the three Linux-PAM Guides, for System administrators, module developers, and application developers.